Vai al contenuto

Seedream 5.0 Pro Edit

Integra

ID del modello bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

File come nell'esempio: 0,14 $ 140 crediti API i tuoi file vengono misurati prima dell'esecuzione Esegui in questa pagina

Ottieni la chiave API
ByteDance Modifica immagini #editing#multi-reference#2k

Modifica multi-immagine con Seedream 5.0 Pro, che combina fino a dieci riferimenti in un'unica immagine 2K.

Creato su Doitong

Lavori pubblici creati con Seedream 5.0 Pro dalla community di Doitong. Riutilizza un prompt con un clic.

Lavori pubblici mostrati: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image ...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image with a black bob, purple hair streak, and a small nose ring. She has a defiant, playful expression, sticking her tongue out with wide, confident eyes while wearing a classic denim jacket. Isolated on...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in ...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in an emerald gown stands beside Leo Lime ("90/100"). Nico Peach ("100/100") in a black tuxedo with gold embroidery kneels before veiled Grana, holding her red-gloved hand. Pixar-style 3D CGI, soft...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at th...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at the vanity while the maid Aunt Banana does her hair. Mrs. Lime holds out an old, torn, yellowed wedding dress to veiled Grana. Pixar-style 3D CGI, soft cinematic lighting, vertical 9:16....

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two fram...

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two framed portraits: a handsome lime-green man labeled "90/100" and a black silhouette with a question mark. Mrs. Lime beside him. Mia Orange and veiled Grana sit on a beige velvet sofa. Pixar-style 3D CGI,...

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio

Istruzioni testuali per modificare l'immagine.

•obbligatorio image_urls
Trascina un file oppure

URL delle immagini di riferimento, con elaborazione limitata alle 10 voci finali quando l'elenco inviato supera il massimo supportato di 10 immagini.

image_size predefinito auto_2K

Dimensioni dell'immagine di output, con un numero totale di pixel compreso tra 1024x1024 e 2048x2048 e un rapporto d'aspetto compreso tra 1/16 e 16.

num_images predefinito 1

Numero di esecuzioni indipendenti della generazione del modello usando il prompt.

Avanzate output_format · enhance_prompt_mode
output_format predefinito jpeg

Formato del file dell'immagine di output.

enhance_prompt_mode predefinito standard

Impostazione per l'ottimizzazione del prompt: scegli `standard` per privilegiare la qualità dell'immagine o `fast` per un tempo di generazione più breve.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 preventivo → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Seedream 5.0 Pro Edit

Fornisci a Seedream 5.0 Pro fino a dieci immagini di riferimento (prodotti, loghi, persone, luoghi) e descrivi come combinarle o modificarle; mantiene fedeli i materiali e le scritte. Output tra 1 e 4 megapixel, fino a sei immagini per richiesta.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
promptobbligatorio
Tipostring
Istruzioni testuali per modificare l'immagine.
image_sizefacoltativo
Tipoobject
Predefinitoauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimensioni dell'immagine di output, con un numero totale di pixel compreso tra 1024x1024 e 2048x2048 e un rapporto d'aspetto compreso tra 1/16 e 16.
num_imagesfacoltativo num_outputs
Tipointeger
Predefinito1
1 – 6
Numero di esecuzioni indipendenti della generazione del modello usando il prompt.
output_formatfacoltativo
Tipoenum
Predefinitojpeg
jpegpng
Formato del file dell'immagine di output.
enhance_prompt_modefacoltativo
Tipoenum
Predefinitostandard
standardfast
Impostazione per l'ottimizzazione del prompt: scegli `standard` per privilegiare la qualità dell'immagine o `fast` per un tempo di generazione più breve.
image_urlsobbligatorio images
Tipourl[] · image
URL delle immagini di riferimento, con elaborazione limitata alle 10 voci finali quando l'elenco inviato supera il massimo supportato di 10 immagini.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
images
array of object {url, content_type, file_name, file_size, width, height}Immagini prodotte dalla generazione.

Altri modelli: Modifica immagini

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/bytedance/seedream/v5/pro/edit.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt